/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.reflection;

import java.lang.reflect.Parameter;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface IArgument extends IElement {
    
    @Override
    IArguments collect();
    
    IClass<?> type();
    
    @Override
    IMethod parent();
    
    Parameter reflective();
    
}
